com.holonplatform.core.internal

## Class AbstractConverterExpression<T>

- java.lang.Object
- - com.holonplatform.core.internal.AbstractConverterExpression<T>

- Type Parameters:
    `T` - Expression type
  All Implemented Interfaces:
    ConverterExpression<T>, Expression, TypedExpression<T>
  Direct Known Subclasses:
    DefaultConstantConverterExpression, DefaultNullExpression

      public abstract class AbstractConverterExpression<T>
      extends Object
      implements ConverterExpression<T>

  Abstract `ConverterExpression` implementation.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractConverterExpression()` Constructor without converter.
    `AbstractConverterExpression(ExpressionValueConverter<T,?> expressionValueConverter)` Constructor with converter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<ExpressionValueConverter<T,?>>` | `getExpressionValueConverter()` Get the expression value type converter, if available.
    `Optional<TemporalType>` | `getTemporalType()` If the expression type represents a temporal type, get the actual `TemporalType` of the type.
    `void` | `setTemporalType(TemporalType temporalType)` Set the expression value temporal type.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Constructor Detail

    - #### AbstractConverterExpression

          public AbstractConverterExpression()

      Constructor without converter.

    - #### AbstractConverterExpression

          public AbstractConverterExpression(ExpressionValueConverter<T,?> expressionValueConverter)

      Constructor with converter.
      Parameters:
        `expressionValueConverter` - Expresion value converter

  - ### Method Detail

    - #### getExpressionValueConverter

          public Optional<ExpressionValueConverter<T,?>> getExpressionValueConverter()

      Description copied from interface: `ConverterExpression`
      Get the expression value type converter, if available.
      Specified by:
        `getExpressionValueConverter` in interface `ConverterExpression<T>`
      Returns:
        Optional `ExpressionValueConverter`

    - #### setTemporalType

          public void setTemporalType(TemporalType temporalType)

      Set the expression value temporal type.
      Parameters:
        `temporalType` - the temporal type to set

    - #### getTemporalType

          public Optional<TemporalType> getTemporalType()

      Description copied from interface: `TypedExpression`
      If the expression type represents a temporal type, get the actual `TemporalType` of the type.
      Specified by:
        `getTemporalType` in interface `TypedExpression<T>`
      Returns:
        Optional temporal type

Copyright © 2019 The Holon Platform. All rights reserved.